Bug 286391 - Review Request: tack - Terminfo action checker
Review Request: tack - Terminfo action checker
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 282511
  Show dependency treegraph
 
Reported: 2007-09-11 13:20 EDT by Miroslav Lichvar
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 06:04:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2007-09-11 13:20:03 EDT
Spec URL: http://people.redhat.com/mlichvar/tmp/tack.spec
SRPM URL: http://people.redhat.com/mlichvar/tmp/tack-1.06-1.fc8.src.rpm
Description:
The tack program has three purposes: to help you build a new terminfo
entry describing an unknown terminal, to test the correctness of an
existing entry, and to develop the correct pad timings needed to ensure
that screen updates don't fall behind the incoming data stream.
Comment 1 Parag AN(पराग) 2007-09-12 01:40:32 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
8c1e0aa72c189781499cbe96b66bb4f5  tack-1.06.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ tack-1.06-1.fc8 package ->
 Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libncurses.so.5
libtic.so.5 libtinfo.so.5 ncurses >= 5.6-3.20070203 rtld(GNU_HASH)
+ Not a GUI app.

APPROVED.
Comment 2 Miroslav Lichvar 2007-09-12 07:33:09 EDT
Thanks for the review.
Comment 3 Miroslav Lichvar 2007-09-12 07:34:29 EDT
New Package CVS Request
=======================
Package Name: tack
Short Description: Terminfo action checker
Owners: mlichvar
Branches: F-7
InitialCC: 
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2007-09-12 12:40:49 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.